#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    int pom=0;
    for(int i=0; i<n-1; i++)
    {
        for(int j=i+1; j<n; j++)
        {
            if(a[i]>a[j])
            {
                pom=a[i];
                a[i]=a[j];
                a[j]=pom;
            }
        }
    }
    int i=0,j=0,p=0,q=0,s=0;
    int broj[n];
    while(i<=n)
    {
        while(a[q]==a[j])
        {
            p++;
            q++;
        }
        i++;
        j=q+1;
        q=i;
        if(p>=k)
        {
            broj[s]=a[q-1];
            s++;
        }
        p=0;
    }
    cout<<s<<endl;
    for(int i=0; i<s; i++)
    {
        cout<<broj[i]<<" ";
    }
    return 0;
}